Name:       qterm
Version:    0.5.12
Release:    3%{?dist}
Summary:    BBS client for X Window System written in Qt
Group:      Applications/Internet
License:    GPLv2+
URL:        http://www.qterm.org
Source0:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# README from debian
Source1:    README.Debian
# Use the new find_package syntax introduced in CMake 2.6 to workaround a problem with Find_Qt4 shipped with KDE.
# applied in upstream svn1311
Patch0:     qterm-0.5.12-cmake.patch
# Fix build with gcc 4.7, include the missed unistd.h include
# https://sourceforge.net/tracker/?func=detail&aid=3474368&group_id=79581&atid=557094
Patch1:     qterm-0.5.12-gcc-4.7.patch
BuildRequires:  phonon-devel
BuildRequires:  openssl-devel
BuildRequires:  qtscriptbindings
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
Requires:   hicolor-icon-theme
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}


%description
QTerm is a BBS client for X Window System. It supports Telnet, SSH1 and SSH2
protocols. It also supports ZMODEM, URL analysis and mouse gesture.

It also supports detecting location from IP address, but you need do some
extra work, see %{_docdir}/%{name}-%{version}/README.package.

%prep
%setup -q
%patch0 -p2
%patch1 -p0

%build
export PATH=%{_qt4_bindir}:$PATH
%cmake -DQT_PHONON_INCLUDE_DIR:PATH=%{_includedir}/KDE
make %{?_smp_mflags}

%install
make install/fast DESTDIR=%{buildroot}

desktop-file-install \
    --dir %{buildroot}%{_datadir}/applications \
    --remove-category Application \
    --add-category RemoteAccess \
    %buildroot%{_datadir}/applications/*.desktop

# rename the executable to QTerm to prevent conflict with torque-client
mv %buildroot%{_bindir}/{qterm,QTerm}
sed -i 's/Exec=qterm/Exec=QTerm/' %buildroot%{_datadir}/applications/%{name}.desktop

cp -p %{SOURCE1} README.package


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc README* TODO doc/*
%{_bindir}/QTerm
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Jan 16 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.5.12-3
- Fix build with F17
- rename the executable to QTerm to prevent conflict with torque-client
- Specfile untabified

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 24 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.5.12-1
- Update to 0.5.12 (#715246)
- Conflicts torque-client (#587554)
- URL updated
- Description revised

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 15 2010 Chen Lei <supercyper@163.com> - 0.5.11-1
- Upstream to 0.5.11

* Sun Apr 25 2010 Chen Lei <supercyper@163.com> - 0.5.10-2
- Add patch for building against qt-4.7 

* Sun Jan 17 2010 Chen Lei <supercyper@163.com> - 0.5.10-1
- Upstream to 0.5.10
